Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
netlibs-libpsl-0.20.0 fails, can't update world[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3210
Location: Gainesville, Florida

PostPosted: Tue Mar 19, 2019 7:30 am    Post subject: netlibs-libpsl-0.20.0 fails, can't update world[SOLVED] Reply with quote

netlibs-libpsl-0.20.0 fails. Even did the ebuild edit the only post on bugzilla said fixed it, with same result. https://bugs.gentoo.org/680898
Tried both USE flags individually, can't run a depclean, and always get this with whatever I've tried, such as --exclude libpsl, or checking world and /etc/portage files, doing equery d on a bunch of stuff trying to find out what problematic package might be pulling in libpsl, like gnome-base/gvfs and old lxde/xfce files I have installed on this basically a kde system. Revdep-rebuild says system is consistent.
Bottom line is I apparently can't do a world update without getting libpsl installed first. :? Can't understand why either icu or idn don't seem to satisfy the requirements. :roll: Any other ideas or is actually this an upstream or ebuild problem?

Code:
emerge --update --newuse --deep --with-bdeps=y @world
Calculating dependencies... done!

!!! The ebuild selected to satisfy ">=net-libs/libpsl-0.20.0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]" has unmet requirements.
- net-libs/libpsl-0.20.2::gentoo USE="icu idn man" ABI_X86="32 (64) (-x32)"

  The following REQUIRED_USE flag constraints are unsatisfied:
    exactly-one-of ( icu idn )

(dependency required by "net-libs/libsoup-2.64.2::gentoo" [ebuild])
(dependency required by "net-libs/gupnp-1.0.3::gentoo" [ebuild])
(dependency required by "net-libs/gupnp-igd-0.2.5::gentoo" [installed])
(dependency required by "net-libs/libnice-0.1.15::gentoo[upnp]" [ebuild])
(dependency required by "net-voip/telepathy-gabble-0.18.4-r1::gentoo[jingle]" [ebuild])
(dependency required by "net-im/telepathy-connection-managers-2-r2::gentoo[-msn,xmpp]" [ebuild])
(dependency required by "kde-apps/ktp-accounts-kcm-18.12.3::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-8.3.0-r1 kernel-5.0.7-gentoo USE=experimental


Last edited by wrc1944 on Wed Mar 20, 2019 5:17 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21343
Location: here

PostPosted: Tue Mar 19, 2019 7:39 am    Post subject: Reply with quote

You are sure there isn't a second entry in package.use (grep -r libpsl /etc/portage/package.use)?
Because in my system there is no problem
Code:
 $ emerge -pv net-libs/libpsl
Calculating dependencies... done!
[ebuild  N    ~] net-libs/libpsl-0.20.2::gentoo  USE="idn man -icu" ABI_X86="(64) -32 (-x32)" 9,012 KiB

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3210
Location: Gainesville, Florida

PostPosted: Tue Mar 19, 2019 7:49 am    Post subject: Reply with quote

yes- I checked that first. But now I see on another gentoo box currently updating the new qt packages which I find has libpsl-0.20.2 installed and has nothing in my package.use file, but I get what you have:
Code:
gentoo-main ~ # emerge libpsl -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] net-libs/libpsl-0.20.2::gentoo  USE="idn man -icu" ABI_X86="(64) -32 (-x32)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB
gentoo-main ~ #
Guess I'll go back to the other box and either remove the libpsl entry, or add a -icu flag and see if that works.

Thanks much for the lightning fast post! :)
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-8.3.0-r1 kernel-5.0.7-gentoo USE=experimental
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3210
Location: Gainesville, Florida

PostPosted: Tue Mar 19, 2019 8:54 am    Post subject: Reply with quote

Well, adding the -icu flag helped and I got libpsl-0.20.2 installed, but now I get this blockage mess:
Code:
amd64 ~ # emerge --update --newuse --deep --with-bdeps=y @world --backtrack=50 -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-libs/giflib-5.1.8-r1:0/7::gentoo [5.1.7:0/7::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 410 KiB
[ebuild     U  ] dev-libs/gobject-introspection-common-1.58.3::gentoo [1.56.1::gentoo] 1,346 KiB
[ebuild     U  ] app-misc/ca-certificates-20190110.3.43::gentoo [20190110.3.42.1::gentoo] USE="-cacert" 22,917 KiB
[ebuild     U  ] x11-libs/pixman-0.38.0::gentoo [0.36.0::gentoo] USE="(-altivec) (-loongson2f) (-neon) (-static-libs%)" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="mmxext sse2 -ssse3" 871 KiB
[ebuild     U  ] sys-apps/help2man-1.47.9::gentoo [1.47.8::gentoo] USE="nls" 198 KiB
[ebuild     U  ] dev-qt/qtcore-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="icu -debug -systemd -test" 47,231 KiB
[ebuild     U  ] x11-libs/xtrans-1.4.0::gentoo [1.3.5::gentoo] USE="-doc" 182 KiB
[ebuild     U  ] x11-libs/libXdmcp-1.1.3::gentoo [1.1.2-r2::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 325 KiB
[ebuild     U  ] dev-libs/libuv-1.27.0:0/1::gentoo [1.26.0:0/1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 1,186 KiB
[ebuild     U  ] dev-libs/nss-3.43::gentoo [3.42.1::gentoo] USE="nss-pem -cacert -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-misc/makedepend-1.0.6::gentoo [1.0.5-r1::gentoo] 145 KiB
[ebuild     U  ] dev-qt/qtxml-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qtnetwork-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="ssl -bindist -connman -debug -libproxy -networkmanager -sctp -test" 0 KiB
[ebuild     U  ] sys-apps/hwids-20190316::gentoo [20180917::gentoo] USE="net pci udev usb" 3,236 KiB
[ebuild     U  ] dev-qt/qttest-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-util/cmake-3.14.0::gentoo [3.13.4::gentoo] USE="ncurses -doc -emacs -qt5 -system-jsoncpp -test" 8,640 KiB
[ebuild     U  ] dev-qt/qtsql-5.12.2:5/5.12.2::gentoo [5.12.1:5/5.12.1::gentoo] USE="mysql sqlite -debug -freetds -oci8 -odbc -postgres -test" 0 KiB
[ebuild     U  ] dev-qt/qtconcurrent-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qtpaths-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 9,579 KiB
[ebuild     U  ] dev-qt/qtspeech-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 98 KiB
[ebuild     U  ] dev-cpp/glibmm-2.58.1:2::gentoo [2.58.0:2::gentoo] USE="-debug -doc -test" ABI_X86="32 (64) (-x32)" 6,620 KiB
[ebuild     U  ] net-libs/libssh2-1.8.1::gentoo [1.8.0-r2::gentoo] USE="zlib -gcrypt -libressl -mbedtls" ABI_X86="32 (64) (-x32)" 838 KiB
[ebuild     U  ] x11-libs/libXext-1.3.4::gentoo [1.3.3-r1::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 380 KiB
[ebuild     U  ] x11-libs/libxkbfile-1.1.0::gentoo [1.0.9-r2::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 357 KiB
[ebuild     U  ] x11-libs/libXrandr-1.5.2::gentoo [1.5.1-r1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 323 KiB
[ebuild     U  ] x11-libs/libXmu-1.1.3::gentoo [1.1.2-r1::gentoo] USE="-doc -ipv6 -static-libs" ABI_X86="32 (64) (-x32)" 386 KiB
[ebuild     U  ] x11-libs/libXxf86dga-1.1.5::gentoo [1.1.4-r1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 295 KiB
[ebuild   R    ] media-libs/mesa-19.0.0::gentoo  USE="classic dri3 egl gallium gbm gles2* llvm wayland -d3d9 -debug -gles1 (-libglvnd) -lm_sensors -opencl -osmesa -pax_kernel -pic (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -xa -xvmc" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="radeon (-freedreno) -i915 -i965 (-imx) -intel -nouveau -r100 -r200 -r300 -r600 -radeonsi (-vc4) -virgl (-vivante) -vmware" 0 KiB
[ebuild     U  ] dev-qt/qtdbus-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qdbus-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] x11-libs/libXft-2.3.3::gentoo [2.3.2-r1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 346 KiB
[ebuild     U  ] x11-apps/x11perf-1.6.1::gentoo [1.6.0::gentoo] 186 KiB
[ebuild  N     ] net-libs/libnice-0.1.15::gentoo  USE="gnutls introspection upnp -libressl" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] dev-qt/qtgui-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="dbus egl gif jpeg libinput png udev xcb -accessibility -debug -eglfs -evdev (-gles2) -ibus -test -tslib -tuio -vnc" 0 KiB
[ebuild     U  ] dev-qt/qtwidgets-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="gtk png xcb -debug (-gles2) -test" 0 KiB
[ebuild     U  ] dev-qt/qtx11extras-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 114 KiB
[ebuild     U  ] dev-qt/qtimageformats-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="mng -debug -jpeg2k -test" 1,747 KiB
[ebuild     U  ] dev-qt/qtdeclarative-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="jit widgets -debug (-gles2) -localstorage -test" 20,017 KiB
[ebuild     U  ] dev-qt/qtsvg-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 1,816 KiB
[ebuild     U  ] net-print/cups-filters-1.22.2::gentoo [1.22.1::gentoo] USE="dbus foomatic jpeg ldap pdf png postscript tiff -ipp_autosetup -pclm -perl -static-libs -test -zeroconf" 1,443 KiB
[ebuild     U  ] dev-qt/qtprintsupport-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="cups -debug (-gles2) -test" 0 KiB
[ebuild     U  ] dev-qt/qtscript-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="jit scripttools -debug -test" 2,611 KiB
[ebuild     U  ] dev-qt/qtopengl-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug (-gles2) -test" 0 KiB
[ebuild     U  ] dev-qt/linguist-tools-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -test" 0 KiB
[ebuild     U  ] dev-qt/designer-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="declarative -debug -test -webkit" 0 KiB
[ebuild     U  ] dev-qt/qtquickcontrols-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="widgets -debug -test" 5,914 KiB
[ebuild     U  ] dev-qt/qtgraphicaleffects-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 13,937 KiB
[ebuild     U  ] dev-qt/qtxmlpatterns-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="qml%* -debug -test" 1,357 KiB
[ebuild     U  ] dev-qt/qtwebchannel-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -test" 179 KiB
[ebuild     U  ] dev-qt/qtwayland-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="libinput xcomposite -debug -test" 422 KiB
[ebuild     U  ] dev-qt/qtsensors-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -test" 1,989 KiB
[ebuild     U  ] dev-qt/qtvirtualkeyboard-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="spell xcb -debug -handwriting -test" 10,664 KiB
[ebuild     U  ] dev-qt/qtmultimedia-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="alsa qml widgets -debug (-gles2) -gstreamer -openal -pulseaudio -test" 3,658 KiB
[ebuild     U  ] dev-qt/qtpositioning-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -geoclue -test" 5,769 KiB
[ebuild     U  ] dev-qt/qtquickcontrols2-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="widgets -debug -test" 9,075 KiB
[ebuild     U  ] dev-qt/qtwebengine-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="alsa system-ffmpeg system-icu widgets -bindist -debug -designer -geolocation -jumbo-build -pax_kernel -pulseaudio -test" 243,400 KiB
[ebuild  N     ] net-voip/telepathy-gabble-0.18.4-r1::gentoo  USE="jingle -gnutls -libressl -plugins -test" 0 KiB
[ebuild  N     ] net-im/telepathy-connection-managers-2-r2::gentoo  USE="irc xmpp -gadu -icq -meanwhile -msn -sip -sipe -steam -yahoo -zeroconf" 0 KiB
[ebuild     U  ] www-client/firefox-bin-66.0::gentoo [65.0.2::gentoo] USE="ffmpeg pulseaudio startup-notification (-selinux)" L10N="-ach -af -an -ar -as -ast -az -bg -bn-BD -bn-IN -br -bs -ca -cs -cy -da -de -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -fi -fr -fy -ga -gd -gl -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW" 60,500 KiB
[ebuild  N     ] x11-misc/pcmanfm-1.2.5::gentoo  USE="-debug" 0 KiB
[ebuild  N     ] lxde-base/lxde-meta-0.5.5-r6::gentoo  0 KiB
[ebuild     U  ] kde-frameworks/plasma-5.56.1-r1:5/5.56::gentoo [5.56.1:5/5.56::gentoo] USE="X -debug -doc (-gles2) -test -wayland" 13 KiB
[blocks B      ] <dev-libs/gobject-introspection-1.58.3 ("<dev-libs/gobject-introspection-1.58.3" is blocking dev-libs/gobject-introspection-common-1.58.3)

Total: 62 packages (56 upgrades, 5 new, 1 reinstall), Size of downloads: 490,698 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-libs/gobject-introspection-1.56.1:0/0::gentoo, installed) pulled in by
    >=dev-libs/gobject-introspection-1.39:= required by (x11-libs/gtk+-3.24.1:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-1.30.0:= required by (net-libs/libnice-0.1.15:0/0::gentoo, ebuild scheduled for merge)
    >=dev-libs/gobject-introspection-1:= required by (dev-libs/libappindicator-12.10.0-r201:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-1.32:= required by (x11-libs/libnotify-0.7.7-r1:0/0::gentoo, installed)
    dev-libs/gobject-introspection:= required by (net-libs/libsignon-glib-1.14:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.0:0/0= required by (gnome-base/gsettings-desktop-schemas-3.28.1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.0:= required by (x11-libs/vte-0.54.3:2.91/2.91::gentoo, installed)
    dev-libs/gobject-introspection:= required by (media-libs/graphene-1.8.2:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1:0/0= required by (media-libs/gst-plugins-base-1.14.4-r1:1.0/1.0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54:0/0= required by (dev-python/pygobject-3.32.0:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.6.3:= required by (dev-libs/libunique-1.1.6-r2:1/1::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.6:= required by (dev-libs/libgee-0.6.8:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.34:0/0= required by (app-crypt/gcr-3.18.0:0/1::gentoo, installed)
    >=dev-libs/gobject-introspection-1.3.0 required by (sys-libs/libblockdev-2.21:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.34:0/0= required by (media-libs/harfbuzz-2.3.1:0/0.9.18::gentoo, installed)
    >=dev-libs/gobject-introspection-1.39:0/0= required by (x11-libs/gtk+-3.24.1:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.6:= required by (net-misc/modemmanager-1.8.2:0/1::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54.0:0/0= required by (app-accessibility/at-spi2-core-2.30.1:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-0.6.14:= required by (x11-libs/libwnck-3.30.0:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.6.14:0/0= required by (x11-libs/libwnck-2.31.0:1/1::gentoo, installed)
    dev-libs/gobject-introspection:0/0= required by (media-libs/graphene-1.8.2:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.30:0/0= required by (x11-libs/libxklavier-5.4:0/16::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.0:0/0= required by (x11-libs/vte-0.28.2-r208:0/0::gentoo, installed)
    dev-libs/gobject-introspection:0/0= required by (net-libs/libsignon-glib-1.14:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1:0/0= required by (media-libs/gst-plugins-bad-1.14.3:1.0/1.0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.3:= required by (x11-libs/gtk+-2.24.32-r1:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.5:0/0= required by (net-libs/libsoup-2.64.2:2.4/2.4::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1:= required by (media-libs/gst-plugins-base-1.14.4-r1:1.0/1.0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.6.14:0/0= required by (x11-libs/libwnck-3.30.0:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-1:= required by (dev-libs/libappindicator-12.10.0-r301:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-1:0/0= required by (dev-libs/libappindicator-12.10.0-r301:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.6.14:= required by (x11-libs/libwnck-2.31.0:1/1::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.5:= required by (x11-libs/pango-1.42.4-r1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.30:0/0= required by (sys-fs/udisks-2.8.2:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54.0:0/0= required by (dev-libs/atk-2.30.0:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.10 required by (net-libs/gupnp-igd-0.2.5:0/0::gentoo, installed)
    dev-libs/gobject-introspection:0/0= required by (sys-power/upower-0.99.9-r1:0/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.0:= required by (x11-libs/vte-0.28.2-r208:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.30 required by (net-libs/telepathy-glib-0.24.1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.12:0/0= required by (sys-apps/accountsservice-0.6.50-r1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.5:0/0= required by (x11-libs/pango-1.42.4-r1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.36:0/0= required by (net-libs/gssdp-1.0.3:0/3::gentoo, installed)
    >=dev-libs/gobject-introspection-1.36:= required by (net-libs/gssdp-1.0.3:0/3::gentoo, installed)
    dev-libs/gobject-introspection:= required by (app-text/poppler-0.74.0:0/85::gentoo, installed)
    >=dev-libs/gobject-introspection-0.10.3:= required by (net-misc/networkmanager-1.16.0:0/0::gentoo, installed)
    dev-libs/gobject-introspection required by (app-office/libreoffice-6.2.1.2:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.5:= required by (net-libs/libsoup-2.64.2:2.4/2.4::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54:0/0= required by (x11-libs/gdk-pixbuf-2.38.1:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-0.10.8:0/0= required by (gnome-base/librsvg-2.40.20:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54:= required by (x11-libs/gdk-pixbuf-2.38.1:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1:= required by (media-libs/gst-plugins-bad-1.14.3:1.0/1.0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1:0/0= required by (media-libs/gstreamer-1.14.4:1.0/1.0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.0:0/0= required by (x11-libs/vte-0.54.3:2.91/2.91::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.6:0/0= required by (net-misc/modemmanager-1.8.2:0/1::gentoo, installed)
    >=dev-libs/gobject-introspection-1 required by (dev-libs/libdbusmenu-16.04.0:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.34:= required by (media-libs/harfbuzz-2.3.1:0/0.9.18::gentoo, installed)
    >=dev-libs/gobject-introspection-1.36:0/0= required by (net-libs/gupnp-1.0.3:0/4::gentoo, installed)
    dev-libs/gobject-introspection required by (dev-libs/keybinder-0.3.1-r201:0/0::gentoo, installed)
    dev-libs/gobject-introspection:= required by (sys-power/upower-0.99.9-r1:0/3::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.0:= required by (gnome-base/gsettings-desktop-schemas-3.28.1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.6 required by (net-im/telepathy-logger-0.8.2:0/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.6:0/0= required by (dev-libs/libgee-0.6.8:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.30:= required by (x11-libs/libxklavier-5.4:0/16::gentoo, installed)
    >=dev-libs/gobject-introspection-0.10.8:= required by (gnome-base/librsvg-2.40.20:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1 required by (dev-libs/libgudev-232:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.31.1:= required by (media-libs/gstreamer-1.14.4:1.0/1.0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54:= required by (dev-python/pygobject-3.32.0:3/3::gentoo, installed)
    dev-libs/gobject-introspection required by (dev-libs/keybinder-0.3.2-r300:3/3::gentoo, installed)
    >=dev-libs/gobject-introspection-0.6.3:0/0= required by (dev-libs/libunique-1.1.6-r2:1/1::gentoo, installed)
    >=dev-libs/gobject-introspection-1.32:0/0= required by (x11-libs/libnotify-0.7.7-r1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54.0:= required by (dev-libs/atk-2.30.0:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1:0/0= required by (dev-libs/libappindicator-12.10.0-r201:2/2::gentoo, installed)
    dev-libs/gobject-introspection:0/0= required by (app-text/poppler-0.74.0:0/85::gentoo, installed)
    >=dev-libs/gobject-introspection-0.10.3:0/0= required by (net-misc/networkmanager-1.16.0:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.30:= required by (sys-fs/udisks-2.8.2:2/2::gentoo, installed)
    dev-libs/gobject-introspection required by (sys-auth/polkit-0.115-r3:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.36:= required by (net-libs/gupnp-1.0.3:0/4::gentoo, installed)
    >=dev-libs/gobject-introspection-1 required by (x11-misc/lightdm-1.28.0:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.12:= required by (sys-apps/accountsservice-0.6.50-r1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-1.54.0:= required by (app-accessibility/at-spi2-core-2.30.1:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-1.38 required by (sys-fs/eudev-3.2.7-r1:0/0::gentoo, installed)
    >=dev-libs/gobject-introspection-0.9.3:0/0= required by (x11-libs/gtk+-2.24.32-r1:2/2::gentoo, installed)

  (dev-libs/gobject-introspection-common-1.58.3:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/gobject-introspection-common required by (x11-libs/gtk+-3.24.1:3/3::gentoo, installed)
    dev-libs/gobject-introspection-common required by (sys-auth/polkit-0.115-r3:0/0::gentoo, installed)
    dev-libs/gobject-introspection-common required by (gnome-base/librsvg-2.40.20:2/2::gentoo, installed)
    >=dev-libs/gobject-introspection-common-1.32 required by (x11-libs/libnotify-0.7.7-r1:0/0::gentoo, installed)
    dev-libs/gobject-introspection-common required by (x11-libs/gtk+-2.24.32-r1:2/2::gentoo, installed)
    dev-libs/gobject-introspection-common required by (app-crypt/gcr-3.18.0:0/1::gentoo, installed)
    >=dev-libs/gobject-introspection-common-1.56.1 required by (dev-libs/gobject-introspection-1.56.1:0/0::gentoo, installed)

UPDATE: I Removed a huge Pancho Ramos gnome "masking section" of 100+ lines I forgot I had placed in my package mask file in 2013 to run a pure kde system, and over time gradually commented out gnome and gtk packages as needed for deps in lxde and xfce4, etc., etc. Obviously as time went on it became a huge forgotten mess. :oops:

Anyway, then I finally got a clean emerge update @world list:
Code:
amd64 ~ # emerge -upDNv @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-libs/giflib-5.1.8-r1:0/7::gentoo [5.1.7:0/7::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 410 KiB
[ebuild     U  ] app-misc/ca-certificates-20190110.3.43::gentoo [20190110.3.42.1::gentoo] USE="-cacert" 22,917 KiB
[ebuild     U  ] x11-libs/pixman-0.38.0::gentoo [0.36.0::gentoo] USE="(-altivec) (-loongson2f) (-neon) (-static-libs%)" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="mmxext sse2 -ssse3" 871 KiB
[ebuild     U  ] sys-apps/help2man-1.47.9::gentoo [1.47.8::gentoo] USE="nls" 198 KiB
[ebuild     U  ] dev-libs/gobject-introspection-common-1.58.3::gentoo [1.56.1::gentoo] 1,346 KiB
[ebuild     U  ] x11-libs/xtrans-1.4.0::gentoo [1.3.5::gentoo] USE="-doc" 182 KiB
[ebuild     U  ] x11-libs/libXdmcp-1.1.3::gentoo [1.1.2-r2::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 325 KiB
[ebuild     U  ] dev-libs/libuv-1.27.0:0/1::gentoo [1.26.0:0/1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 1,186 KiB
[ebuild     U  ] dev-libs/nss-3.43::gentoo [3.42.1::gentoo] USE="nss-pem -cacert -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-misc/makedepend-1.0.6::gentoo [1.0.5-r1::gentoo] 145 KiB
[ebuild     U  ] dev-util/cmake-3.14.0::gentoo [3.13.4::gentoo] USE="ncurses -doc -emacs -qt5 -system-jsoncpp -test" 8,640 KiB
[ebuild     U  ] net-libs/libssh2-1.8.1::gentoo [1.8.0-r2::gentoo] USE="zlib -gcrypt -libressl -mbedtls" ABI_X86="32 (64) (-x32)" 838 KiB
[ebuild     U  ] x11-libs/libXext-1.3.4::gentoo [1.3.3-r1::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 380 KiB
[ebuild     U  ] x11-libs/libxkbfile-1.1.0::gentoo [1.0.9-r2::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 357 KiB
[ebuild     U  ] x11-libs/libXrandr-1.5.2::gentoo [1.5.1-r1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 323 KiB
[ebuild     U  ] x11-libs/libXxf86dga-1.1.5::gentoo [1.1.4-r1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 295 KiB
[ebuild   R    ] media-libs/mesa-19.0.0::gentoo  USE="classic dri3 egl gallium gbm gles2* llvm wayland -d3d9 -debug -gles1 (-libglvnd) -lm_sensors -opencl -osmesa -pax_kernel -pic (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -xa -xvmc" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="radeon (-freedreno) -i915 -i965 (-imx) -intel -nouveau -r100 -r200 -r300 -r600 -radeonsi (-vc4) -virgl (-vivante) -vmware" 0 KiB
[ebuild     U  ] dev-qt/qtcore-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="icu -debug -systemd -test" 47,231 KiB
[ebuild     U  ] dev-cpp/glibmm-2.58.1:2::gentoo [2.58.0:2::gentoo] USE="-debug -doc -test" ABI_X86="32 (64) (-x32)" 6,620 KiB
[ebuild     U  ] dev-qt/qtxml-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qtnetwork-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="ssl -bindist -connman -debug -libproxy -networkmanager -sctp -test" 0 KiB
[ebuild     U  ] dev-qt/qttest-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qtsql-5.12.2:5/5.12.2::gentoo [5.12.1:5/5.12.1::gentoo] USE="mysql sqlite -debug -freetds -oci8 -odbc -postgres -test" 0 KiB
[ebuild     U  ] dev-qt/qtconcurrent-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qtpaths-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 9,579 KiB
[ebuild     U  ] dev-qt/qtspeech-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 98 KiB
[ebuild     U  ] dev-libs/gobject-introspection-1.58.3::gentoo [1.56.1::gentoo] USE="cairo -doctool -test" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_4 -python3_5 -python3_7" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5 -python3_7" 0 KiB
[blocks b      ] <dev-libs/gobject-introspection-1.58.3 ("<dev-libs/gobject-introspection-1.58.3" is blocking dev-libs/gobject-introspection-common-1.58.3)
[ebuild     U  ] sys-apps/hwids-20190316::gentoo [20180917::gentoo] USE="net pci udev usb" 3,236 KiB
[ebuild     U  ] x11-libs/libXmu-1.1.3::gentoo [1.1.2-r1::gentoo] USE="-doc -ipv6 -static-libs" ABI_X86="32 (64) (-x32)" 386 KiB
[ebuild     U  ] dev-qt/qtdbus-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qdbus-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] x11-libs/libXft-2.3.3::gentoo [2.3.2-r1::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 346 KiB
[ebuild     U  ] x11-apps/x11perf-1.6.1::gentoo [1.6.0::gentoo] 186 KiB
[ebuild     U  ] dev-qt/qtgui-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="dbus egl gif jpeg libinput png udev xcb -accessibility -debug -eglfs -evdev (-gles2) -ibus -test -tslib -tuio -vnc" 0 KiB
[ebuild     U  ] dev-qt/qtx11extras-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 114 KiB
[ebuild     U  ] dev-qt/qtimageformats-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="mng -debug -jpeg2k -test" 1,747 KiB
[ebuild     U  ] x11-libs/gtk+-3.24.7:3::gentoo [3.24.1:3::gentoo] USE="X cups introspection (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax -wayland -xinerama" ABI_X86="32 (64) (-x32)" 18,922 KiB
[ebuild     U  ] dev-qt/qtwidgets-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="gtk png xcb -debug (-gles2) -test" 0 KiB
[ebuild     U  ] app-crypt/gcr-3.28.1:0/1::gentoo [3.18.0:0/1::gentoo] USE="gtk introspection -debug -test -vala" 1,304 KiB
[ebuild     U  ] dev-qt/qtdeclarative-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="jit widgets -debug (-gles2) -localstorage -test" 20,017 KiB
[ebuild     U  ] dev-qt/qtsvg-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 1,816 KiB
[ebuild     U  ] net-print/cups-filters-1.22.2::gentoo [1.22.1::gentoo] USE="dbus foomatic jpeg ldap pdf png postscript tiff -ipp_autosetup -pclm -perl -static-libs -test -zeroconf" 1,443 KiB
[ebuild     U  ] dev-qt/qtprintsupport-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="cups -debug (-gles2) -test" 0 KiB
[ebuild     U  ] dev-qt/qtscript-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="jit scripttools -debug -test" 2,611 KiB
[ebuild     U  ] dev-qt/qtopengl-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug (-gles2) -test" 0 KiB
[ebuild     U  ] dev-qt/linguist-tools-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -test" 0 KiB
[ebuild     U  ] dev-qt/designer-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="declarative -debug -test -webkit" 0 KiB
[ebuild     U  ] dev-qt/qtgraphicaleffects-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="-debug -test" 13,937 KiB
[ebuild     U  ] dev-qt/qtquickcontrols-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="widgets -debug -test" 5,914 KiB
[ebuild     U  ] dev-qt/qtxmlpatterns-5.12.2:5/5.12::gentoo [5.12.1-r1:5/5.12::gentoo] USE="qml%* -debug -test" 1,357 KiB
[ebuild     U  ] dev-qt/qtwayland-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="libinput xcomposite -debug -test" 422 KiB
[ebuild     U  ] dev-qt/qtsensors-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -test" 1,989 KiB
[ebuild     U  ] dev-qt/qtvirtualkeyboard-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="spell xcb -debug -handwriting -test" 10,664 KiB
[ebuild     U  ] dev-qt/qtwebchannel-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -test" 179 KiB
[ebuild     U  ] dev-qt/qtpositioning-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="qml -debug -geoclue -test" 5,769 KiB
[ebuild     U  ] dev-qt/qtmultimedia-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="alsa qml widgets -debug (-gles2) -gstreamer -openal -pulseaudio -test" 3,658 KiB
[ebuild     U  ] dev-qt/qtquickcontrols2-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="widgets -debug -test" 9,075 KiB
[ebuild  N     ] net-libs/libnice-0.1.15::gentoo  USE="gnutls introspection upnp -libressl" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] dev-qt/qtwebengine-5.12.2:5/5.12::gentoo [5.12.1:5/5.12::gentoo] USE="alsa system-ffmpeg system-icu widgets -bindist -debug -designer -geolocation -jumbo-build -pax_kernel -pulseaudio -test" 243,400 KiB
[ebuild  N     ] net-voip/telepathy-gabble-0.18.4-r1::gentoo  USE="jingle -gnutls -libressl -plugins -test" 0 KiB
[ebuild  N     ] net-im/telepathy-connection-managers-2-r2::gentoo  USE="irc xmpp -gadu -icq -meanwhile -msn -sip -sipe -steam -yahoo -zeroconf" 0 KiB
[ebuild     U  ] www-client/firefox-bin-66.0::gentoo [65.0.2::gentoo] USE="ffmpeg pulseaudio startup-notification (-selinux)" L10N="-ach -af -an -ar -as -ast -az -bg -bn-BD -bn-IN -br -bs -ca -cs -cy -da -de -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -fi -fr -fy -ga -gd -gl -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW" 60,500 KiB
[ebuild  N     ] x11-misc/pcmanfm-1.2.5::gentoo  USE="-debug" 0 KiB
[ebuild  N     ] lxde-base/lxde-meta-0.5.5-r6::gentoo  0 KiB
[ebuild     U  ] kde-frameworks/plasma-5.56.1-r1:5/5.56::gentoo [5.56.1:5/5.56::gentoo] USE="X -debug -doc (-gles2) -test -wayland" 13 KiB

Total: 65 packages (59 upgrades, 5 new, 1 reinstall), Size of downloads: 510,923 KiB
Conflict: 1 block
The ev-libs/gobject-introspection-1.58.3 block resolved itself, and I'm happily compiling away! :)

Let this be a lesson for Gentoo users- don't foolishly become lazy like I did and keep your /etc/portage/* files clean and up-to-date.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-8.3.0-r1 kernel-5.0.7-gentoo USE=experimental
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum